pcl::LINEMODDetection Struct Reference

Represents a detection of a template using the LINEMOD approach. More...

`#include <pcl/recognition/linemod.h>`

## Public Member Functions

| LINEMODDetection ()
| Constructor. More...

## Public Attributes

int | x
| x-position of the detection. More...
int | y
| y-position of the detection. More...
int | template_id
| ID of the detected template. More...
float | score
| score of the detection. More...
float | scale
| scale at which the template was detected. More...

## Detailed Description

Represents a detection of a template using the LINEMOD approach.

Author
  Stefan Holzer

Definition at line 313 of file linemod.h.

## Constructor & Destructor Documentation

## LINEMODDetection()

pcl::LINEMODDetection::LINEMODDetection | ( |  | ) |

inline

Constructor.

Definition at line 316 of file linemod.h.

## Member Data Documentation

## scale

float pcl::LINEMODDetection::scale

scale at which the template was detected.

Definition at line 327 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## score

float pcl::LINEMODDetection::score

score of the detection.

Definition at line 325 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## template_id

int pcl::LINEMODDetection::template_id

ID of the detected template.

Definition at line 323 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## x

int pcl::LINEMODDetection::x

x-position of the detection.

Definition at line 319 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

## y

int pcl::LINEMODDetection::y

y-position of the detection.

Definition at line 321 of file linemod.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), and pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant().

The documentation for this struct was generated from the following file:

- pcl/recognition/linemod.h